Regenerate the build files wrt the recent changes
[scilab.git] / scilab / modules / localization / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 @NEED_JAVA_TRUE@am__append_1 = src/jni/Messages_wrap.c \
109 @NEED_JAVA_TRUE@src/jni/LocaleToLCID_wrap.c \
110 @NEED_JAVA_TRUE@src/jni/setdefaultlanguage_wrap.c
111
112 @IS_MACOSX_TRUE@am__append_2 = src/c/getLocaleInfo_Apple.c
113
114 # FIXME: platform dependent things should be in configure.ac
115 @IS_MACOSX_TRUE@am__append_3 = -framework Cocoa
116 @IS_MACOSX_TRUE@am__append_4 = -lintl
117 @IS_MACOSX_TRUE@am__append_5 = -framework Cocoa
118 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
119         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
120         $(top_srcdir)/config/depcomp \
121         $(libscilocalization_la_include_HEADERS)
122 @NEED_JAVA_TRUE@am__append_6 = java
123 subdir = modules/localization
124 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
126         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
127         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
128         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
129         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
130         $(top_srcdir)/m4/intel_compiler.m4 \
131         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
132         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
133         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
134         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
135         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
136         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
137         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
138         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
139         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
140         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
141         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
142 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
143         $(ACLOCAL_M4)
144 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
145 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
146 CONFIG_CLEAN_FILES =
147 CONFIG_CLEAN_VPATH_FILES =
148 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
149 am__vpath_adj = case $$p in \
150     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
151     *) f=$$p;; \
152   esac;
153 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
154 am__install_max = 40
155 am__nobase_strip_setup = \
156   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
157 am__nobase_strip = \
158   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
159 am__nobase_list = $(am__nobase_strip_setup); \
160   for p in $$list; do echo "$$p $$p"; done | \
161   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
162   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
163     if (++n[$$2] == $(am__install_max)) \
164       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
165     END { for (dir in files) print dir, files[dir] }'
166 am__base_list = \
167   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
168   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
169 am__uninstall_files_from_dir = { \
170   test -z "$$files" \
171     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
172     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
173          $(am__cd) "$$dir" && rm -f $$files; }; \
174   }
175 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
176         "$(DESTDIR)$(libscilocalization_la_etcdir)" \
177         "$(DESTDIR)$(libscilocalization_la_rootdir)" \
178         "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" \
179         "$(DESTDIR)$(libscilocalization_la_includedir)"
180 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
181 libscilocalization_algo_la_LIBADD =
182 am__libscilocalization_algo_la_SOURCES_DIST =  \
183         src/c/InitializeLocalization.c src/c/setgetlanguage.c \
184         src/c/getLcidString.c src/c/charEncoding.c \
185         src/c/setdefaultlanguage.c src/jni/Messages_wrap.c \
186         src/jni/LocaleToLCID_wrap.c src/jni/setdefaultlanguage_wrap.c \
187         src/c/getLocaleInfo_Apple.c
188 am__dirstamp = $(am__leading_dot)dirstamp
189 @NEED_JAVA_TRUE@am__objects_1 = src/jni/libscilocalization_algo_la-Messages_wrap.lo \
190 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo \
191 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo
192 @IS_MACOSX_TRUE@am__objects_2 = src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo
193 am__objects_3 =  \
194         src/c/libscilocalization_algo_la-InitializeLocalization.lo \
195         src/c/libscilocalization_algo_la-setgetlanguage.lo \
196         src/c/libscilocalization_algo_la-getLcidString.lo \
197         src/c/libscilocalization_algo_la-charEncoding.lo \
198         src/c/libscilocalization_algo_la-setdefaultlanguage.lo \
199         $(am__objects_1) $(am__objects_2)
200 am_libscilocalization_algo_la_OBJECTS = $(am__objects_3)
201 libscilocalization_algo_la_OBJECTS =  \
202         $(am_libscilocalization_algo_la_OBJECTS)
203 AM_V_lt = $(am__v_lt_@AM_V@)
204 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
205 am__v_lt_0 = --silent
206 am__v_lt_1 = 
207 libscilocalization_algo_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
208         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
209         $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) \
210         $(libscilocalization_algo_la_LDFLAGS) $(LDFLAGS) -o $@
211 am__DEPENDENCIES_1 =
212 libscilocalization_la_DEPENDENCIES = libscilocalization-algo.la \
213         $(am__DEPENDENCIES_1)
214 am__objects_4 =  \
215         sci_gateway/c/libscilocalization_la-gw_localization.lo \
216         sci_gateway/c/libscilocalization_la-sci_gettext.lo \
217         sci_gateway/c/libscilocalization_la-sci_setlanguage.lo \
218         sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo \
219         sci_gateway/c/libscilocalization_la-sci_getlanguage.lo \
220         sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo \
221         sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo
222 am_libscilocalization_la_OBJECTS = $(am__objects_4)
223 libscilocalization_la_OBJECTS = $(am_libscilocalization_la_OBJECTS)
224 libscilocalization_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
225         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
226         $(libscilocalization_la_CFLAGS) $(CFLAGS) \
227         $(libscilocalization_la_LDFLAGS) $(LDFLAGS) -o $@
228 AM_V_P = $(am__v_P_@AM_V@)
229 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
230 am__v_P_0 = false
231 am__v_P_1 = :
232 AM_V_GEN = $(am__v_GEN_@AM_V@)
233 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
234 am__v_GEN_0 = @echo "  GEN     " $@;
235 am__v_GEN_1 = 
236 AM_V_at = $(am__v_at_@AM_V@)
237 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
238 am__v_at_0 = @
239 am__v_at_1 = 
240 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
241 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
242 am__depfiles_maybe = depfiles
243 am__mv = mv -f
244 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
245         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
246 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
247         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
248         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
249         $(AM_CFLAGS) $(CFLAGS)
250 AM_V_CC = $(am__v_CC_@AM_V@)
251 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
252 am__v_CC_0 = @echo "  CC      " $@;
253 am__v_CC_1 = 
254 CCLD = $(CC)
255 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
256         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
257         $(AM_LDFLAGS) $(LDFLAGS) -o $@
258 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
259 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
260 am__v_CCLD_0 = @echo "  CCLD    " $@;
261 am__v_CCLD_1 = 
262 SOURCES = $(libscilocalization_algo_la_SOURCES) \
263         $(libscilocalization_la_SOURCES)
264 DIST_SOURCES = $(am__libscilocalization_algo_la_SOURCES_DIST) \
265         $(libscilocalization_la_SOURCES)
266 am__can_run_installinfo = \
267   case $$AM_UPDATE_INFO_DIR in \
268     n|no|NO) false;; \
269     *) (install-info --version) >/dev/null 2>&1;; \
270   esac
271 DATA = $(libscilocalization_la_etc_DATA) \
272         $(libscilocalization_la_root_DATA) \
273         $(libscilocalization_la_sci_gateway_DATA)
274 HEADERS = $(libscilocalization_la_include_HEADERS)
275 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
276 # Read a list of newline-separated strings from the standard input,
277 # and print each of them once, without duplicates.  Input order is
278 # *not* preserved.
279 am__uniquify_input = $(AWK) '\
280   BEGIN { nonempty = 0; } \
281   { items[$$0] = 1; nonempty = 1; } \
282   END { if (nonempty) { for (i in items) print i; }; } \
283 '
284 # Make sure the list of sources is unique.  This is necessary because,
285 # e.g., the same source file might be shared among _SOURCES variables
286 # for different programs/libraries.
287 am__define_uniq_tagged_files = \
288   list='$(am__tagged_files)'; \
289   unique=`for i in $$list; do \
290     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
291   done | $(am__uniquify_input)`
292 ETAGS = etags
293 CTAGS = ctags
294 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
295 ACLOCAL = @ACLOCAL@
296 ALL_LINGUAS = @ALL_LINGUAS@
297 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
298 AMTAR = @AMTAR@
299 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
300 ANT = @ANT@
301 ANTLR = @ANTLR@
302 AR = @AR@
303 ARPACK_LIBS = @ARPACK_LIBS@
304 ASM3 = @ASM3@
305 AUTOCONF = @AUTOCONF@
306 AUTOHEADER = @AUTOHEADER@
307 AUTOMAKE = @AUTOMAKE@
308 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
309 AWK = @AWK@
310 BATIK = @BATIK@
311 BLAS_LIBS = @BLAS_LIBS@
312 CC = @CC@
313 CCACHE = @CCACHE@
314 CCDEPMODE = @CCDEPMODE@
315 CFLAGS = @CFLAGS@
316 CHECKSTYLE = @CHECKSTYLE@
317 COBERTURA = @COBERTURA@
318 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
319 COMMONS_IO = @COMMONS_IO@
320 COMMONS_LOGGING = @COMMONS_LOGGING@
321 CPP = @CPP@
322 CPPFLAGS = @CPPFLAGS@
323 CURL_CFLAGS = @CURL_CFLAGS@
324 CURL_CONFIG = @CURL_CONFIG@
325 CURL_LIBS = @CURL_LIBS@
326 CURL_VERSION = @CURL_VERSION@
327 CXX = @CXX@
328 CXXCPP = @CXXCPP@
329 CXXDEPMODE = @CXXDEPMODE@
330 CXXFLAGS = @CXXFLAGS@
331 CYGPATH_W = @CYGPATH_W@
332 DEFS = @DEFS@
333 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
334 DEPDIR = @DEPDIR@
335 DLLTOOL = @DLLTOOL@
336 DOCBOOK_ROOT = @DOCBOOK_ROOT@
337 DOXYGEN_BIN = @DOXYGEN_BIN@
338 DSYMUTIL = @DSYMUTIL@
339 DUMPBIN = @DUMPBIN@
340 ECHO_C = @ECHO_C@
341 ECHO_N = @ECHO_N@
342 ECHO_T = @ECHO_T@
343 ECJ = @ECJ@
344 EGREP = @EGREP@
345 EXEEXT = @EXEEXT@
346 F77 = @F77@
347 FFLAGS = @FFLAGS@
348 FFTW3_LIB = @FFTW3_LIB@
349 FFTW_ENABLE = @FFTW_ENABLE@
350 FGREP = @FGREP@
351 FLEXDOCK = @FLEXDOCK@
352 FLIBS = @FLIBS@
353 FOP = @FOP@
354 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
355 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
356 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
357 FREEHEP_IO = @FREEHEP_IO@
358 FREEHEP_UTIL = @FREEHEP_UTIL@
359 GENHTML = @GENHTML@
360 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
361 GIWS_BIN = @GIWS_BIN@
362 GLUEGEN2_RT = @GLUEGEN2_RT@
363 GMSGFMT = @GMSGFMT@
364 GMSGFMT_015 = @GMSGFMT_015@
365 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
366 GREP = @GREP@
367 GUI_ENABLE = @GUI_ENABLE@
368 HDF5_CFLAGS = @HDF5_CFLAGS@
369 HDF5_LIBS = @HDF5_LIBS@
370 HELP_ENABLE = @HELP_ENABLE@
371 INSTALL = @INSTALL@
372 INSTALL_DATA = @INSTALL_DATA@
373 INSTALL_PROGRAM = @INSTALL_PROGRAM@
374 INSTALL_SCRIPT = @INSTALL_SCRIPT@
375 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
376 INTLLIBS = @INTLLIBS@
377 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
378 JAR = @JAR@
379 JAVA = @JAVA@
380 JAVAC = @JAVAC@
381 JAVAC_DEBUG = @JAVAC_DEBUG@
382 JAVADOC = @JAVADOC@
383 JAVAH = @JAVAH@
384 JAVASCI_ENABLE = @JAVASCI_ENABLE@
385 JAVA_ENABLE = @JAVA_ENABLE@
386 JAVA_G = @JAVA_G@
387 JAVA_HOME = @JAVA_HOME@
388 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
389 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
390 JDB = @JDB@
391 JEUCLID_CORE = @JEUCLID_CORE@
392 JGRAPHX = @JGRAPHX@
393 JHALL = @JHALL@
394 JLATEXMATH = @JLATEXMATH@
395 JLATEXMATH_FOP = @JLATEXMATH_FOP@
396 JOGL2 = @JOGL2@
397 JROSETTA_API = @JROSETTA_API@
398 JROSETTA_ENGINE = @JROSETTA_ENGINE@
399 JUNIT4 = @JUNIT4@
400 LAPACK_LIBS = @LAPACK_LIBS@
401 LCOV = @LCOV@
402 LD = @LD@
403 LDFLAGS = @LDFLAGS@
404 LIBICONV = @LIBICONV@
405 LIBINTL = @LIBINTL@
406 LIBM = @LIBM@
407 LIBOBJS = @LIBOBJS@
408 LIBS = @LIBS@
409 LIBTOOL = @LIBTOOL@
410 LIPO = @LIPO@
411 LN_S = @LN_S@
412 LOGGING_LEVEL = @LOGGING_LEVEL@
413 LOOKS = @LOOKS@
414 LTLIBICONV = @LTLIBICONV@
415 LTLIBINTL = @LTLIBINTL@
416 LTLIBOBJS = @LTLIBOBJS@
417 MAINT = @MAINT@
418 MAKEINFO = @MAKEINFO@
419 MANIFEST_TOOL = @MANIFEST_TOOL@
420 MATIO_CFLAGS = @MATIO_CFLAGS@
421 MATIO_ENABLE = @MATIO_ENABLE@
422 MATIO_LIBS = @MATIO_LIBS@
423 MKDIR_P = @MKDIR_P@
424 MPI_ENABLE = @MPI_ENABLE@
425 MSGCAT = @MSGCAT@
426 MSGFMT = @MSGFMT@
427 MSGFMT_015 = @MSGFMT_015@
428 MSGMERGE = @MSGMERGE@
429 NM = @NM@
430 NMEDIT = @NMEDIT@
431 OBJDUMP = @OBJDUMP@
432 OBJEXT = @OBJEXT@
433 OCAMLC = @OCAMLC@
434 OCAMLDEP = @OCAMLDEP@
435 OCAMLLEX = @OCAMLLEX@
436 OCAMLOPT = @OCAMLOPT@
437 OCAMLYACC = @OCAMLYACC@
438 OPENMPI_CC = @OPENMPI_CC@
439 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
440 OPENMPI_CXX = @OPENMPI_CXX@
441 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
442 OPENMPI_LIBS = @OPENMPI_LIBS@
443 OPENMP_CFLAGS = @OPENMP_CFLAGS@
444 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
445 OPENMP_ENABLE = @OPENMP_ENABLE@
446 OPENMP_LIBS = @OPENMP_LIBS@
447 OTOOL = @OTOOL@
448 OTOOL64 = @OTOOL64@
449 PACKAGE = @PACKAGE@
450 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
451 PACKAGE_NAME = @PACKAGE_NAME@
452 PACKAGE_STRING = @PACKAGE_STRING@
453 PACKAGE_TARNAME = @PACKAGE_TARNAME@
454 PACKAGE_URL = @PACKAGE_URL@
455 PACKAGE_VERSION = @PACKAGE_VERSION@
456 PATH_SEPARATOR = @PATH_SEPARATOR@
457 PCRE_CFLAGS = @PCRE_CFLAGS@
458 PCRE_CONFIG = @PCRE_CONFIG@
459 PCRE_LIBS = @PCRE_LIBS@
460 PCRE_VERSION = @PCRE_VERSION@
461 PKG_CONFIG = @PKG_CONFIG@
462 POSUB = @POSUB@
463 POW_LIB = @POW_LIB@
464 PYTHON = @PYTHON@
465 RANLIB = @RANLIB@
466 RELOCATABLE = @RELOCATABLE@
467 RT_LIB = @RT_LIB@
468 SAXON = @SAXON@
469 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
470 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
471 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
472 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
473 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
474 SCIRENDERER = @SCIRENDERER@
475 SCIRENDERER_CP = @SCIRENDERER_CP@
476 SCI_CFLAGS = @SCI_CFLAGS@
477 SCI_CXXFLAGS = @SCI_CXXFLAGS@
478 SCI_FFLAGS = @SCI_FFLAGS@
479 SCI_LDFLAGS = @SCI_LDFLAGS@
480 SED = @SED@
481 SET_MAKE = @SET_MAKE@
482 SET_RELOCATABLE = @SET_RELOCATABLE@
483 SHELL = @SHELL@
484 SKINLF = @SKINLF@
485 SPLINT = @SPLINT@
486 STRIP = @STRIP@
487 SWIG_BIN = @SWIG_BIN@
488 SWIG_JAVA = @SWIG_JAVA@
489 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
490 SWIG_SCILAB = @SWIG_SCILAB@
491 TCLTK_LIBS = @TCLTK_LIBS@
492 TCL_INC_PATH = @TCL_INC_PATH@
493 TK_INC_PATH = @TK_INC_PATH@
494 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
495 UMFPACK_ENABLE = @UMFPACK_ENABLE@
496 UMFPACK_LIB = @UMFPACK_LIB@
497 USE_NLS = @USE_NLS@
498 VERSION = @VERSION@
499 WITH_OCAML = @WITH_OCAML@
500 WITH_TKSCI = @WITH_TKSCI@
501 XCOS_ENABLE = @XCOS_ENABLE@
502 XGETTEXT = @XGETTEXT@
503 XGETTEXT_015 = @XGETTEXT_015@
504 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
505 XMKMF = @XMKMF@
506 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
507 XML_APIS_EXT = @XML_APIS_EXT@
508 XML_CONFIG = @XML_CONFIG@
509 XML_FLAGS = @XML_FLAGS@
510 XML_LIBS = @XML_LIBS@
511 XML_VERSION = @XML_VERSION@
512 X_CFLAGS = @X_CFLAGS@
513 X_EXTRA_LIBS = @X_EXTRA_LIBS@
514 X_LIBS = @X_LIBS@
515 X_PRE_LIBS = @X_PRE_LIBS@
516 abs_builddir = @abs_builddir@
517 abs_srcdir = @abs_srcdir@
518 abs_top_builddir = @abs_top_builddir@
519 abs_top_srcdir = @abs_top_srcdir@
520 ac_ct_AR = @ac_ct_AR@
521 ac_ct_CC = @ac_ct_CC@
522 ac_ct_CXX = @ac_ct_CXX@
523 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
524 ac_ct_F77 = @ac_ct_F77@
525 am__include = @am__include@
526 am__leading_dot = @am__leading_dot@
527 am__quote = @am__quote@
528 am__tar = @am__tar@
529 am__untar = @am__untar@
530 bindir = @bindir@
531 build = @build@
532 build_alias = @build_alias@
533 build_cpu = @build_cpu@
534 build_os = @build_os@
535 build_vendor = @build_vendor@
536 builddir = @builddir@
537 cxx_present = @cxx_present@
538 datadir = @datadir@
539 datarootdir = @datarootdir@
540 docdir = @docdir@
541 dvidir = @dvidir@
542 exec_prefix = @exec_prefix@
543 host = @host@
544 host_alias = @host_alias@
545 host_cpu = @host_cpu@
546 host_os = @host_os@
547 host_vendor = @host_vendor@
548 htmldir = @htmldir@
549 includedir = @includedir@
550 infodir = @infodir@
551 install_sh = @install_sh@
552 libdir = @libdir@
553 libexecdir = @libexecdir@
554 localedir = @localedir@
555 localstatedir = @localstatedir@
556 mandir = @mandir@
557 mkdir_p = @mkdir_p@
558 oldincludedir = @oldincludedir@
559 pdfdir = @pdfdir@
560 prefix = @prefix@
561 program_transform_name = @program_transform_name@
562 psdir = @psdir@
563 sbindir = @sbindir@
564 sharedstatedir = @sharedstatedir@
565 srcdir = @srcdir@
566 sysconfdir = @sysconfdir@
567 target_alias = @target_alias@
568 top_build_prefix = @top_build_prefix@
569 top_builddir = @top_builddir@
570 top_srcdir = @top_srcdir@
571 LOCALIZATION_C_SOURCES = src/c/InitializeLocalization.c \
572         src/c/setgetlanguage.c src/c/getLcidString.c \
573         src/c/charEncoding.c src/c/setdefaultlanguage.c \
574         $(am__append_1) $(am__append_2)
575 GATEWAY_C_SOURCES = sci_gateway/c/gw_localization.c \
576 sci_gateway/c/sci_gettext.c \
577 sci_gateway/c/sci_setlanguage.c \
578 sci_gateway/c/sci_getdefaultlanguage.c \
579 sci_gateway/c/sci_getlanguage.c \
580 sci_gateway/c/sci_setdefaultlanguage.c \
581 sci_gateway/c/sci_addlocalizationdomain.c
582
583 libscilocalization_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
584                                 -I$(srcdir)/includes/ \
585                                 -I$(srcdir)/src/c/ \
586                                 -I$(top_srcdir)/modules/string/includes/ \
587                                 -I$(top_srcdir)/modules/fileio/includes/ \
588                                 -I$(top_srcdir)/modules/api_scilab/includes/ \
589                                 -I$(top_srcdir)/modules/output_stream/includes \
590                                 -I$(top_srcdir)/modules/localization/includes \
591                                 $(AM_CPPFLAGS)
592
593 pkglib_LTLIBRARIES = libscilocalization.la
594 noinst_LTLIBRARIES = libscilocalization-algo.la
595 libscilocalization_la_LDFLAGS = $(AM_LDFLAGS) $(am__append_3)
596 libscilocalization_la_CFLAGS = $(AM_CFLAGS) $(am__append_5)
597 libscilocalization_algo_la_SOURCES = $(LOCALIZATION_C_SOURCES)
598 libscilocalization_la_SOURCES = $(GATEWAY_C_SOURCES)
599 libscilocalization_algo_la_CPPFLAGS = $(libscilocalization_la_CPPFLAGS)
600 libscilocalization_algo_la_CFLAGS = $(libscilocalization_la_CFLAGS)
601 libscilocalization_algo_la_LDFLAGS = $(libscilocalization_la_LDFLAGS)
602
603 # For the code check (splint)
604 CHECK_SRC = $(libscilocalization_la_SOURCES)
605 INCLUDE_FLAGS = $(libscilocalization_la_CPPFLAGS)
606 libscilocalization_la_LIBADD = libscilocalization-algo.la \
607         $(am__append_4)
608
609 # $(top_builddir)/modules/io/libsciio.la
610 #### Target ######
611 modulename = localization
612
613 #### localization : Conf files ####
614 libscilocalization_la_rootdir = $(mydatadir)
615 libscilocalization_la_root_DATA = license.txt
616
617 ####localization : init scripts ####
618 libscilocalization_la_etcdir = $(mydatadir)/etc
619 libscilocalization_la_etc_DATA = etc/localization.quit etc/localization.start
620
621 ####´┐Żlocalization : gateway declaration ####
622 libscilocalization_la_sci_gatewaydir = $(mydatadir)/sci_gateway
623 libscilocalization_la_sci_gateway_DATA = sci_gateway/localization_gateway.xml
624
625 ####localization : include files ####
626 libscilocalization_la_includedir = $(pkgincludedir)
627 libscilocalization_la_include_HEADERS = includes/localization.h \
628 includes/setgetlanguage.h \
629 includes/charEncoding.h
630
631 @GUI_TRUE@USEANT = 1
632
633 #### SWIG Declaration ####
634 SWIG_WRAPPERS = src/jni/Messages.i \
635 src/jni/LocaleToLCID.i
636
637 @SWIG_TRUE@BUILT_SOURCES = swig
638
639 # Where all the Scilab stuff is installed (macros, help, ...)
640 mydatadir = $(pkgdatadir)/modules/$(modulename)
641
642 # Set AM_* SCI detected settings
643 AM_CPPFLAGS = $(SCI_CPPFLAGS)
644 AM_CFLAGS = $(SCI_CFLAGS)
645 AM_CXXFLAGS = $(SCI_CXXFLAGS)
646 # append includes to AM_FFLAGS to manage fortran includes
647 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
648
649 # Tag shared libraries with the Scilab version
650 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
651
652 # splint options
653 SPLINT_OPTIONS = -weak -booltype BOOL
654
655 ########################### JAVA ######################################
656 #### We are delegating java compilation to ant... Thanks to that
657 #### the procedure will be the same with Microsoft Windows (C)
658 #### and Linux/Unix
659 #######################################################################
660 TARGETS_ALL = $(am__append_6)
661
662 ################ MACROS ######################
663 # Rule to build a macro
664 # NOT USED  AT THE MOMENT
665 SUFFIXES = .sci 
666
667 ########### INSTALL DOCUMENTATION ###################
668
669 # Install documentation files into the right target
670 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
671 # automake needs the html files to be present which is not the case when
672 # we are building Scilab
673
674 # Where it should be installed
675 pkgdocdir = $(mydatadir)
676
677 # What is the mask of the help source
678 DOCMASKXML = *.xml
679
680 # What is the mask of the MathML sources
681 DOCMASKMML = *.mml
682
683 ########### INSTALL DATA ###################
684 # Install macros, help & demos
685 # Where it should be installed
686 pkgmacrosdir = $(mydatadir)
687 # Which directory we process
688 MACRODIRS = macros/
689 # Mask of the Scilab sources macros
690 MACROMASK = *.sci
691 # Mask of the Scilab executable sources macros
692 MACROBUILDMASK = *.sce
693 # Mask of the Scilab compiled macros
694 MACROBINMASK = *.bin
695 # List of the standard directory for tests
696 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
697 # Where the demos should be installed
698 pkgdemosdir = $(mydatadir)
699 # List of the standard directory for demos
700 DEMOS_DIR = demos
701 # List of the standard directory for examples
702 EXAMPLES_DIR = examples
703 # Where to export JAVA archives (.jar)
704 JARDIR = jar/
705 # JAR files mask
706 JARMASK = *.jar
707 # Chapter file 
708 HELP_CHAPTERDIR = help/
709 HELP_CHAPTERFILE = addchapter.sce
710 HELP_CHAPTERLANG = en_US fr_FR pt_BR
711 all: $(BUILT_SOURCES)
712         $(MAKE) $(AM_MAKEFLAGS) all-am
713
714 .SUFFIXES:
715 .SUFFIXES: .sci .bin .c .lo .o .obj
716 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
717         @for dep in $?; do \
718           case '$(am__configure_deps)' in \
719             *$$dep*) \
720               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
721                 && { if test -f $@; then exit 0; else break; fi; }; \
722               exit 1;; \
723           esac; \
724         done; \
725         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/localization/Makefile'; \
726         $(am__cd) $(top_srcdir) && \
727           $(AUTOMAKE) --foreign modules/localization/Makefile
728 .PRECIOUS: Makefile
729 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
730         @case '$?' in \
731           *config.status*) \
732             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
733           *) \
734             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
735             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
736         esac;
737 $(top_srcdir)/Makefile.incl.am:
738
739 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
740         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
741
742 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
743         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
744 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
745         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
746 $(am__aclocal_m4_deps):
747
748 clean-noinstLTLIBRARIES:
749         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
750         @list='$(noinst_LTLIBRARIES)'; \
751         locs=`for p in $$list; do echo $$p; done | \
752               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
753               sort -u`; \
754         test -z "$$locs" || { \
755           echo rm -f $${locs}; \
756           rm -f $${locs}; \
757         }
758
759 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
760         @$(NORMAL_INSTALL)
761         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
762         list2=; for p in $$list; do \
763           if test -f $$p; then \
764             list2="$$list2 $$p"; \
765           else :; fi; \
766         done; \
767         test -z "$$list2" || { \
768           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
769           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
770           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
771           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
772         }
773
774 uninstall-pkglibLTLIBRARIES:
775         @$(NORMAL_UNINSTALL)
776         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
777         for p in $$list; do \
778           $(am__strip_dir) \
779           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
780           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
781         done
782
783 clean-pkglibLTLIBRARIES:
784         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
785         @list='$(pkglib_LTLIBRARIES)'; \
786         locs=`for p in $$list; do echo $$p; done | \
787               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
788               sort -u`; \
789         test -z "$$locs" || { \
790           echo rm -f $${locs}; \
791           rm -f $${locs}; \
792         }
793 src/c/$(am__dirstamp):
794         @$(MKDIR_P) src/c
795         @: > src/c/$(am__dirstamp)
796 src/c/$(DEPDIR)/$(am__dirstamp):
797         @$(MKDIR_P) src/c/$(DEPDIR)
798         @: > src/c/$(DEPDIR)/$(am__dirstamp)
799 src/c/libscilocalization_algo_la-InitializeLocalization.lo:  \
800         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
801 src/c/libscilocalization_algo_la-setgetlanguage.lo:  \
802         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
803 src/c/libscilocalization_algo_la-getLcidString.lo:  \
804         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
805 src/c/libscilocalization_algo_la-charEncoding.lo:  \
806         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
807 src/c/libscilocalization_algo_la-setdefaultlanguage.lo:  \
808         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
809 src/jni/$(am__dirstamp):
810         @$(MKDIR_P) src/jni
811         @: > src/jni/$(am__dirstamp)
812 src/jni/$(DEPDIR)/$(am__dirstamp):
813         @$(MKDIR_P) src/jni/$(DEPDIR)
814         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
815 src/jni/libscilocalization_algo_la-Messages_wrap.lo:  \
816         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
817 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo:  \
818         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
819 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo:  \
820         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
821 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo:  \
822         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
823
824 libscilocalization-algo.la: $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_DEPENDENCIES) $(EXTRA_libscilocalization_algo_la_DEPENDENCIES) 
825         $(AM_V_CCLD)$(libscilocalization_algo_la_LINK)  $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_LIBADD) $(LIBS)
826 sci_gateway/c/$(am__dirstamp):
827         @$(MKDIR_P) sci_gateway/c
828         @: > sci_gateway/c/$(am__dirstamp)
829 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
830         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
831         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
832 sci_gateway/c/libscilocalization_la-gw_localization.lo:  \
833         sci_gateway/c/$(am__dirstamp) \
834         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
835 sci_gateway/c/libscilocalization_la-sci_gettext.lo:  \
836         sci_gateway/c/$(am__dirstamp) \
837         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
838 sci_gateway/c/libscilocalization_la-sci_setlanguage.lo:  \
839         sci_gateway/c/$(am__dirstamp) \
840         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
841 sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo:  \
842         sci_gateway/c/$(am__dirstamp) \
843         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
844 sci_gateway/c/libscilocalization_la-sci_getlanguage.lo:  \
845         sci_gateway/c/$(am__dirstamp) \
846         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
847 sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo:  \
848         sci_gateway/c/$(am__dirstamp) \
849         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
850 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo:  \
851         sci_gateway/c/$(am__dirstamp) \
852         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
853
854 libscilocalization.la: $(libscilocalization_la_OBJECTS) $(libscilocalization_la_DEPENDENCIES) $(EXTRA_libscilocalization_la_DEPENDENCIES) 
855         $(AM_V_CCLD)$(libscilocalization_la_LINK) -rpath $(pkglibdir) $(libscilocalization_la_OBJECTS) $(libscilocalization_la_LIBADD) $(LIBS)
856
857 mostlyclean-compile:
858         -rm -f *.$(OBJEXT)
859         -rm -f sci_gateway/c/*.$(OBJEXT)
860         -rm -f sci_gateway/c/*.lo
861         -rm -f src/c/*.$(OBJEXT)
862         -rm -f src/c/*.lo
863         -rm -f src/jni/*.$(OBJEXT)
864         -rm -f src/jni/*.lo
865
866 distclean-compile:
867         -rm -f *.tab.c
868
869 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Plo@am__quote@
870 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo@am__quote@
871 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo@am__quote@
872 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo@am__quote@
873 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo@am__quote@
874 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo@am__quote@
875 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo@am__quote@
876 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo@am__quote@
877 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo@am__quote@
878 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo@am__quote@
879 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo@am__quote@
880 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo@am__quote@
881 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo@am__quote@
882 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo@am__quote@
883 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo@am__quote@
884 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo@am__quote@
885
886 .c.o:
887 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
888 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
889 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
890 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
891 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
892 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
893
894 .c.obj:
895 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
896 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
897 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
898 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
899 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
900 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
901
902 .c.lo:
903 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
904 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
905 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
906 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
907 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
908 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
909
910 src/c/libscilocalization_algo_la-InitializeLocalization.lo: src/c/InitializeLocalization.c
911 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-InitializeLocalization.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
912 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo
913 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/InitializeLocalization.c' object='src/c/libscilocalization_algo_la-InitializeLocalization.lo' libtool=yes @AMDEPBACKSLASH@
914 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
915 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
916
917 src/c/libscilocalization_algo_la-setgetlanguage.lo: src/c/setgetlanguage.c
918 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setgetlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
919 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo
920 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setgetlanguage.c' object='src/c/libscilocalization_algo_la-setgetlanguage.lo' libtool=yes @AMDEPBACKSLASH@
921 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
922 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
923
924 src/c/libscilocalization_algo_la-getLcidString.lo: src/c/getLcidString.c
925 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLcidString.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
926 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo
927 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLcidString.c' object='src/c/libscilocalization_algo_la-getLcidString.lo' libtool=yes @AMDEPBACKSLASH@
928 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
929 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
930
931 src/c/libscilocalization_algo_la-charEncoding.lo: src/c/charEncoding.c
932 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-charEncoding.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
933 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo
934 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/charEncoding.c' object='src/c/libscilocalization_algo_la-charEncoding.lo' libtool=yes @AMDEPBACKSLASH@
935 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
936 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
937
938 src/c/libscilocalization_algo_la-setdefaultlanguage.lo: src/c/setdefaultlanguage.c
939 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setdefaultlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
940 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo
941 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setdefaultlanguage.c' object='src/c/libscilocalization_algo_la-setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
942 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
943 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
944
945 src/jni/libscilocalization_algo_la-Messages_wrap.lo: src/jni/Messages_wrap.c
946 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-Messages_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
947 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo
948 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/Messages_wrap.c' object='src/jni/libscilocalization_algo_la-Messages_wrap.lo' libtool=yes @AMDEPBACKSLASH@
949 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
950 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
951
952 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo: src/jni/LocaleToLCID_wrap.c
953 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
954 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo
955 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/LocaleToLCID_wrap.c' object='src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo' libtool=yes @AMDEPBACKSLASH@
956 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
958
959 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo: src/jni/setdefaultlanguage_wrap.c
960 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
961 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo
962 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/setdefaultlanguage_wrap.c' object='src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo' libtool=yes @AMDEPBACKSLASH@
963 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
964 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
965
966 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo: src/c/getLocaleInfo_Apple.c
967 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
968 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo
969 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLocaleInfo_Apple.c' object='src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo' libtool=yes @AMDEPBACKSLASH@
970 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
971 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_algo_la_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
972
973 sci_gateway/c/libscilocalization_la-gw_localization.lo: sci_gateway/c/gw_localization.c
974 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-gw_localization.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Tpo -c -o sci_gateway/c/libscilocalization_la-gw_localization.lo `test -f 'sci_gateway/c/gw_localization.c' || echo '$(srcdir)/'`sci_gateway/c/gw_localization.c
975 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-gw_localization.Plo
976 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_localization.c' object='sci_gateway/c/libscilocalization_la-gw_localization.lo' libtool=yes @AMDEPBACKSLASH@
977 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
978 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-gw_localization.lo `test -f 'sci_gateway/c/gw_localization.c' || echo '$(srcdir)/'`sci_gateway/c/gw_localization.c
979
980 sci_gateway/c/libscilocalization_la-sci_gettext.lo: sci_gateway/c/sci_gettext.c
981 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_gettext.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
982 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo
983 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_gettext.c' object='sci_gateway/c/libscilocalization_la-sci_gettext.lo' libtool=yes @AMDEPBACKSLASH@
984 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
985 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
986
987 sci_gateway/c/libscilocalization_la-sci_setlanguage.lo: sci_gateway/c/sci_setlanguage.c
988 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_setlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/c/sci_setlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setlanguage.c
989 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo
990 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_setlanguage.lo' libtool=yes @AMDEPBACKSLASH@
991 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/c/sci_setlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setlanguage.c
993
994 sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo: sci_gateway/c/sci_getdefaultlanguage.c
995 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/c/sci_getdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdefaultlanguage.c
996 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo
997 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getdefaultlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
998 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
999 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/c/sci_getdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdefaultlanguage.c
1000
1001 sci_gateway/c/libscilocalization_la-sci_getlanguage.lo: sci_gateway/c/sci_getlanguage.c
1002 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_getlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/c/sci_getlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getlanguage.c
1003 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_getlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/c/sci_getlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getlanguage.c
1007
1008 sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo: sci_gateway/c/sci_setdefaultlanguage.c
1009 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/c/sci_setdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setdefaultlanguage.c
1010 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo
1011 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setdefaultlanguage.c' object='sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/c/sci_setdefaultlanguage.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setdefaultlanguage.c
1014
1015 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo: sci_gateway/c/sci_addlocalizationdomain.c
1016 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1017 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo
1018 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_addlocalizationdomain.c' object='sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo' libtool=yes @AMDEPBACKSLASH@
1019 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1021
1022 mostlyclean-libtool:
1023         -rm -f *.lo
1024
1025 clean-libtool:
1026         -rm -rf .libs _libs
1027         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1028         -rm -rf src/c/.libs src/c/_libs
1029         -rm -rf src/jni/.libs src/jni/_libs
1030 install-libscilocalization_la_etcDATA: $(libscilocalization_la_etc_DATA)
1031         @$(NORMAL_INSTALL)
1032         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1033         if test -n "$$list"; then \
1034           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1035           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit 1; \
1036         fi; \
1037         for p in $$list; do \
1038           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1039           echo "$$d$$p"; \
1040         done | $(am__base_list) | \
1041         while read files; do \
1042           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1043           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit $$?; \
1044         done
1045
1046 uninstall-libscilocalization_la_etcDATA:
1047         @$(NORMAL_UNINSTALL)
1048         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1049         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1050         dir='$(DESTDIR)$(libscilocalization_la_etcdir)'; $(am__uninstall_files_from_dir)
1051 install-libscilocalization_la_rootDATA: $(libscilocalization_la_root_DATA)
1052         @$(NORMAL_INSTALL)
1053         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1054         if test -n "$$list"; then \
1055           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1056           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit 1; \
1057         fi; \
1058         for p in $$list; do \
1059           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1060           echo "$$d$$p"; \
1061         done | $(am__base_list) | \
1062         while read files; do \
1063           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1064           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit $$?; \
1065         done
1066
1067 uninstall-libscilocalization_la_rootDATA:
1068         @$(NORMAL_UNINSTALL)
1069         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1070         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1071         dir='$(DESTDIR)$(libscilocalization_la_rootdir)'; $(am__uninstall_files_from_dir)
1072 install-libscilocalization_la_sci_gatewayDATA: $(libscilocalization_la_sci_gateway_DATA)
1073         @$(NORMAL_INSTALL)
1074         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1075         if test -n "$$list"; then \
1076           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1077           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit 1; \
1078         fi; \
1079         for p in $$list; do \
1080           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1081           echo "$$d$$p"; \
1082         done | $(am__base_list) | \
1083         while read files; do \
1084           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1085           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit $$?; \
1086         done
1087
1088 uninstall-libscilocalization_la_sci_gatewayDATA:
1089         @$(NORMAL_UNINSTALL)
1090         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1091         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1092         dir='$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1093 install-libscilocalization_la_includeHEADERS: $(libscilocalization_la_include_HEADERS)
1094         @$(NORMAL_INSTALL)
1095         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1096         if test -n "$$list"; then \
1097           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1098           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_includedir)" || exit 1; \
1099         fi; \
1100         for p in $$list; do \
1101           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1102           echo "$$d$$p"; \
1103         done | $(am__base_list) | \
1104         while read files; do \
1105           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1106           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscilocalization_la_includedir)" || exit $$?; \
1107         done
1108
1109 uninstall-libscilocalization_la_includeHEADERS:
1110         @$(NORMAL_UNINSTALL)
1111         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1112         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1113         dir='$(DESTDIR)$(libscilocalization_la_includedir)'; $(am__uninstall_files_from_dir)
1114
1115 ID: $(am__tagged_files)
1116         $(am__define_uniq_tagged_files); mkid -fID $$unique
1117 tags: tags-am
1118 TAGS: tags
1119
1120 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1121         set x; \
1122         here=`pwd`; \
1123         $(am__define_uniq_tagged_files); \
1124         shift; \
1125         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1126           test -n "$$unique" || unique=$$empty_fix; \
1127           if test $$# -gt 0; then \
1128             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1129               "$$@" $$unique; \
1130           else \
1131             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1132               $$unique; \
1133           fi; \
1134         fi
1135 ctags: ctags-am
1136
1137 CTAGS: ctags
1138 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1139         $(am__define_uniq_tagged_files); \
1140         test -z "$(CTAGS_ARGS)$$unique" \
1141           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1142              $$unique
1143
1144 GTAGS:
1145         here=`$(am__cd) $(top_builddir) && pwd` \
1146           && $(am__cd) $(top_srcdir) \
1147           && gtags -i $(GTAGS_ARGS) "$$here"
1148 cscopelist: cscopelist-am
1149
1150 cscopelist-am: $(am__tagged_files)
1151         list='$(am__tagged_files)'; \
1152         case "$(srcdir)" in \
1153           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1154           *) sdir=$(subdir)/$(srcdir) ;; \
1155         esac; \
1156         for i in $$list; do \
1157           if test -f "$$i"; then \
1158             echo "$(subdir)/$$i"; \
1159           else \
1160             echo "$$sdir/$$i"; \
1161           fi; \
1162         done >> $(top_builddir)/cscope.files
1163
1164 distclean-tags:
1165         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1166
1167 distdir: $(DISTFILES)
1168         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1169         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1170         list='$(DISTFILES)'; \
1171           dist_files=`for file in $$list; do echo $$file; done | \
1172           sed -e "s|^$$srcdirstrip/||;t" \
1173               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1174         case $$dist_files in \
1175           */*) $(MKDIR_P) `echo "$$dist_files" | \
1176                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1177                            sort -u` ;; \
1178         esac; \
1179         for file in $$dist_files; do \
1180           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1181           if test -d $$d/$$file; then \
1182             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1183             if test -d "$(distdir)/$$file"; then \
1184               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1185             fi; \
1186             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1187               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1188               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1189             fi; \
1190             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1191           else \
1192             test -f "$(distdir)/$$file" \
1193             || cp -p $$d/$$file "$(distdir)/$$file" \
1194             || exit 1; \
1195           fi; \
1196         done
1197 check-am: all-am
1198         $(MAKE) $(AM_MAKEFLAGS) check-local
1199 check: $(BUILT_SOURCES)
1200         $(MAKE) $(AM_MAKEFLAGS) check-am
1201 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1202 installdirs:
1203         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscilocalization_la_etcdir)" "$(DESTDIR)$(libscilocalization_la_rootdir)" "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" "$(DESTDIR)$(libscilocalization_la_includedir)"; do \
1204           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1205         done
1206 install: $(BUILT_SOURCES)
1207         $(MAKE) $(AM_MAKEFLAGS) install-am
1208 install-exec: install-exec-am
1209 install-data: install-data-am
1210 uninstall: uninstall-am
1211
1212 install-am: all-am
1213         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1214
1215 installcheck: installcheck-am
1216 install-strip:
1217         if test -z '$(STRIP)'; then \
1218           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1219             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1220               install; \
1221         else \
1222           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1223             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1224             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1225         fi
1226 mostlyclean-generic:
1227
1228 clean-generic:
1229
1230 distclean-generic:
1231         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1232         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1233         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1234         -rm -f sci_gateway/c/$(am__dirstamp)
1235         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1236         -rm -f src/c/$(am__dirstamp)
1237         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1238         -rm -f src/jni/$(am__dirstamp)
1239
1240 maintainer-clean-generic:
1241         @echo "This command is intended for maintainers to use"
1242         @echo "it deletes files that may require special tools to rebuild."
1243         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1244 clean: clean-am
1245
1246 clean-am: clean-generic clean-libtool clean-local \
1247         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1248
1249 distclean: distclean-am
1250         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/jni/$(DEPDIR)
1251         -rm -f Makefile
1252 distclean-am: clean-am distclean-compile distclean-generic \
1253         distclean-local distclean-tags
1254
1255 dvi: dvi-am
1256
1257 dvi-am:
1258
1259 html: html-am
1260
1261 html-am:
1262
1263 info: info-am
1264
1265 info-am:
1266
1267 install-data-am: install-data-local \
1268         install-libscilocalization_la_etcDATA \
1269         install-libscilocalization_la_includeHEADERS \
1270         install-libscilocalization_la_rootDATA \
1271         install-libscilocalization_la_sci_gatewayDATA
1272
1273 install-dvi: install-dvi-am
1274
1275 install-dvi-am:
1276
1277 install-exec-am: install-pkglibLTLIBRARIES
1278
1279 install-html: install-html-am
1280
1281 install-html-am: install-html-local
1282
1283 install-info: install-info-am
1284
1285 install-info-am:
1286
1287 install-man:
1288
1289 install-pdf: install-pdf-am
1290
1291 install-pdf-am:
1292
1293 install-ps: install-ps-am
1294
1295 install-ps-am:
1296
1297 installcheck-am:
1298
1299 maintainer-clean: maintainer-clean-am
1300         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/jni/$(DEPDIR)
1301         -rm -f Makefile
1302 maintainer-clean-am: distclean-am maintainer-clean-generic
1303
1304 mostlyclean: mostlyclean-am
1305
1306 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1307         mostlyclean-libtool
1308
1309 pdf: pdf-am
1310
1311 pdf-am:
1312
1313 ps: ps-am
1314
1315 ps-am:
1316
1317 uninstall-am: uninstall-libscilocalization_la_etcDATA \
1318         uninstall-libscilocalization_la_includeHEADERS \
1319         uninstall-libscilocalization_la_rootDATA \
1320         uninstall-libscilocalization_la_sci_gatewayDATA \
1321         uninstall-pkglibLTLIBRARIES
1322
1323 .MAKE: all check check-am install install-am install-strip
1324
1325 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1326         check-local clean clean-generic clean-libtool clean-local \
1327         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1328         ctags ctags-am distclean distclean-compile distclean-generic \
1329         distclean-libtool distclean-local distclean-tags distdir dvi \
1330         dvi-am html html-am info info-am install install-am \
1331         install-data install-data-am install-data-local install-dvi \
1332         install-dvi-am install-exec install-exec-am install-html \
1333         install-html-am install-html-local install-info \
1334         install-info-am install-libscilocalization_la_etcDATA \
1335         install-libscilocalization_la_includeHEADERS \
1336         install-libscilocalization_la_rootDATA \
1337         install-libscilocalization_la_sci_gatewayDATA install-man \
1338         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1339         install-ps install-ps-am install-strip installcheck \
1340         installcheck-am installdirs maintainer-clean \
1341         maintainer-clean-generic mostlyclean mostlyclean-compile \
1342         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1343         tags tags-am uninstall uninstall-am \
1344         uninstall-libscilocalization_la_etcDATA \
1345         uninstall-libscilocalization_la_includeHEADERS \
1346         uninstall-libscilocalization_la_rootDATA \
1347         uninstall-libscilocalization_la_sci_gatewayDATA \
1348         uninstall-pkglibLTLIBRARIES
1349
1350
1351 # This target enables tests for Scilab
1352 check-local: $(top_builddir)/scilab-bin test
1353         if test -d $(mydatadir)/tests; then \
1354           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1355         fi
1356 check-code:
1357         if test -f build.xml; then \
1358                 $(ANT) checkstyle; \
1359         fi
1360         if test -x "$(SPLINT)"; then \
1361                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1362         fi
1363 @NEED_JAVA_TRUE@java:
1364 # Some configurations needs to export JAVA_HOME in the current env
1365 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1366 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1367 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1368 @NEED_JAVA_TRUE@                $(ANT); \
1369 @NEED_JAVA_TRUE@        fi
1370
1371 @NEED_JAVA_TRUE@clean-java:
1372 # Some configurations needs to export JAVA_HOME in the current env
1373 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1374 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1375 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1376 @NEED_JAVA_TRUE@                $(ANT) clean; \
1377 @NEED_JAVA_TRUE@        fi;
1378
1379 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1380 # We call the target swig-build on the variable SWIG_WRAPPERS
1381
1382 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1383 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1384 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1385 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1386 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1387 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1388 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1389 @SWIG_TRUE@             done; \
1390 @SWIG_TRUE@     fi
1391
1392 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1393 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1394 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1395 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1396 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1397 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1398 @SWIG_TRUE@             done; \
1399 @SWIG_TRUE@     fi
1400
1401 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1402 # We call the target swig-build on the variable SWIG_WRAPPERS
1403
1404 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1405 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1406 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1407 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1408 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1409 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1410 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1411 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1412 @GIWS_TRUE@                     else \
1413 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1414 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1415 @GIWS_TRUE@                     fi \
1416 @GIWS_TRUE@             done; \
1417 @GIWS_TRUE@     fi
1418
1419 @GIWS_TRUE@giws-exception:
1420 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1421 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1422 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1423
1424 macros:
1425         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1426                 echo "Error : Cannot build $< : Scilab has not been built"; \
1427         else \
1428                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1429         fi)
1430
1431 # Removes the macros
1432 clean-macros:
1433 # Removes macros (*.bin generated from .sci)
1434         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1435                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1436                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1437         done
1438
1439 test:
1440 # More tests could be added here
1441         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1442         if test -f build.xml -a $$USEANT -eq 1; then \
1443                 $(ANT) test; \
1444         fi
1445
1446 all-local: $(TARGETS_ALL)
1447
1448 .sci.bin:
1449         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1450         echo "Error : Cannot build $< : Scilab has not been build"; \
1451         else \
1452         echo "Creating $@"; \
1453         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1454         fi )
1455
1456 install-html-local:
1457
1458 install-data-local-local:
1459 # Mainly for javasci
1460         @if test -d $(srcdir)/javadoc; then \
1461                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1462         fi
1463 # If the user wants the help sources to be installed
1464 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1465 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1466 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1467 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1468 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1469 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1470 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1471 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1472 @INSTALL_HELP_XML_TRUE@           done ; \
1473 @INSTALL_HELP_XML_TRUE@         fi; \
1474 @INSTALL_HELP_XML_TRUE@  fi; \
1475 @INSTALL_HELP_XML_TRUE@ done; \
1476 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1477 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1478 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1479 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1480 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1481 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1482 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1483 @INSTALL_HELP_XML_TRUE@           done ; \
1484 @INSTALL_HELP_XML_TRUE@         fi; \
1485 @INSTALL_HELP_XML_TRUE@ fi
1486 install-data-local:
1487 # Install the tests
1488         @echo "-------- Install tests (if any) --------"; \
1489         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1490           if test -d $(srcdir)/$$dir/; then \
1491             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1492                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1493                     if test -d "$(srcdir)/$$dir/$$file"; then \
1494                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1495                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1496                     else \
1497                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1498                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1499                     fi \
1500                   done; \
1501           fi; \
1502         done
1503 # Install the help chapter
1504         @echo "-------- Install the help chapter (if any) --------"; \
1505         for lang in $(HELP_CHAPTERLANG); do \
1506                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1507                 if test -f $$HELPFILE; then \
1508                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1509                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1510                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1511                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1512                 fi; \
1513         done
1514 # Install the demos & examples
1515         @echo "-------- Install demos & examples (if any) --------"; \
1516         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1517           if test -d $(srcdir)/$$dir/; then \
1518             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1519                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1520                     if test -d "$(srcdir)/$$dir/$$file"; then \
1521                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1522                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1523                     else \
1524                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1525                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1526                     fi \
1527                   done; \
1528           fi; \
1529         done
1530 # Install the macros
1531         @echo "-------- Install macros (if any) --------"; \
1532         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1533           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1534                 if test -d $(srcdir)/$$dir/; then \
1535                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1536                         if test -n "$(MACROSSPECIALEXT)"; then \
1537                                 specialExtDir=""; \
1538                                 for specialExt in $(MACROSSPECIALEXT); do \
1539                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1540                                 done; \
1541                                 FILELIST="$$FILELIST $$specialExtDir"; \
1542                         fi; \
1543                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1544                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1545                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1546                   done; \
1547                 fi; \
1548         done
1549 # Install java files (.jar)
1550         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1551         echo "-------- Install jar files --------"; \
1552     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1553           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1554                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1555                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1556           done ; \
1557         fi
1558
1559 ########### CLEAN ###################
1560 # Clean help (generated automatically by Scilab)
1561 # It used to clean the macro (clean-macros) but this was causing
1562 # make clean && make to fail Scilab startup
1563 @NEED_JAVA_TRUE@clean-local: clean-java
1564 @NEED_JAVA_FALSE@clean-local:
1565
1566 distclean-local:
1567         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1568
1569 .PHONY: macros java swig giws
1570
1571 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1572 # Otherwise a system limit (for SysV at least) may be exceeded.
1573 .NOEXPORT: